aboutsummaryrefslogtreecommitdiffstats
path: root/main/gtk+2.0/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/gtk+2.0/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/gtk+2.0/APKBUILD')
-rw-r--r--main/gtk+2.0/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/main/gtk+2.0/APKBUILD b/main/gtk+2.0/APKBUILD
index acfe2689ff..97fa9ac57c 100644
--- a/main/gtk+2.0/APKBUILD
+++ b/main/gtk+2.0/APKBUILD
@@ -66,12 +66,16 @@ prepare() {
build() {
cd "$_builddir"
- ./configure --prefix=/usr \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--with-xinput=yes \
--without-libjasper \
- --with-included-loaders=png || return 1
+ --with-included-loaders=png \
+ || return 1
# https://bugzilla.gnome.org/show_bug.cgi?id=655517
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool || return 1
make || return 1